Subject: [Editorial Errata Reported] RFC7346 (6236)

From: RFC Errata System <[email-masked]>
Date: Thu, 23 Jul 2020 21:34:31 -0700 (PDT)

The following errata report has been submitted for RFC7346,
"IPv6 Multicast Address Scopes".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6236

--------------------------------------
Type: Editorial
Reported by: Michael Richardson <[email-masked]>

Section: 5

Original Text
-------------
5.  Definition of Realm-Local Scope for IEEE 802.15.4

   When used in an IP-over-IEEE802.15.4 network, scop 3 is defined to
   include all interfaces sharing a Personal Area Network Identifier
   (PAN ID).

Corrected Text
--------------
5.  Definition of Realm-Local Scope for IEEE 802.15.4

   When used in an IP-over-IEEE802.15.4 network, scope 3 is defined to
   include all interfaces sharing a Personal Area Network Identifier
   (PAN ID).

Notes
-----
missing trailing 'e'

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7346 (draft-ietf-6man-multicast-scopes-07)
--------------------------------------
Title               : IPv6 Multicast Address Scopes
Publication Date    : August 2014
Author(s)           : R. Droms
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Bob Hinden <[email-masked]>
Date: Thu, 23 Jul 2020 22:08:07 -0700

Hi,

I think this errata is not correct.   RFC4219 defines the field in the multicast address as “scop”.   From Section 2.7:

   2.7.  Multicast Addresses

   An IPv6 multicast address is an identifier for a group of interfaces
   (typically on different nodes).  An interface may belong to any
   number of multicast groups.  Multicast addresses have the following
   format:

   |   8    |  4 |  4 |                  112 bits                   |
   +------ -+----+----+---------------------------------------------+
   |11111111|flgs|scop|                  group ID                   |
   +--------+----+----+——————————————————————+

    ….

   scop is a 4-bit multicast scope value used to limit the scope of
   the multicast group.  The values are as follows:

   ….

I think this should be rejected as the text is referencing the “scop” field.

Bob

> On Jul 23, 2020, at 9:34 PM, RFC Errata System <[email-masked]> wrote:
>

---

From: Bob Hinden <[email-masked]>
Date: Fri, 24 Jul 2020 08:20:21 -0700

s/RFC4219/RFC4291/

> On Jul 23, 2020, at 10:08 PM, Bob Hinden <[email-masked]> wrote:
> 
> Hi,
>

---

From: Michael Richardson <[email-masked]>
Date: Fri, 24 Jul 2020 19:38:12 -0400

Bob Hinden <[email-masked]> wrote:
    > I think this errata is not correct.   RFC4219 defines the field in the
    > multicast address as “scop”.   From Section 2.7:

Ah.  On a casual read of the document, it sure looked like a typo to me :-)
(that wasn't the document I was looking for)

My bad!

---

From: Bob Hinden <[email-masked]>
Date: Fri, 24 Jul 2020 19:22:03 -0700

> On Jul 24, 2020, at 4:38 PM, Michael Richardson <[email-masked]> wrote:
> 
> 

No problem :-)

Bob

---

From: Alexandre Petrescu <[email-masked]>
Date: Sat, 25 Jul 2020 17:19:27 +0200

Le 25/07/2020 à 04:22, Bob Hinden a écrit :
>>> I think this errata is not correct.   RFC4219 defines the field
>>> in the multicast address as “scop”.   From Section 2.7:
>> 
>> Ah.  On a casual read of the document, it sure looked like a typo
>> to me :-) (that wasn't the document I was looking for)
>> 
>> My bad!
> 
> No problem :-)

Still, should scop be rather quoted, or maybe capitalized, in running text?

Reading scop like that in running text sounds as when a new word was
invented.  (on a similar note, 'Reachability' is such a new word in RFCs
and absent from Merriam-Webster, that I am not sure it is a good thing)

Alex

> 
> Bob
> 
> 
> 
> -------------------------------------------------------------------- 
> IETF IPv6 working group mailing list [email-masked] Administrative
> Requests: https://www.ietf.org/mailman/listinfo/ipv6 
> --------------------------------------------------------------------
>